<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>IPL Data Project - Charts</title>
<style>
    *{
        font-family: sans-serif
    }
    .container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 20px;
    }
    .card {
    background-color: #f0f0f0;
    border-radius: 10px;
    padding: 20px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }
    .card h2 {
    margin-top: 0;
    }
    .card a {
    display: block;
    margin-top: 20px;
    text-decoration: none;
    color: #007bff;
    font-weight: bold;
    }
    .header{
    display: block;
    text-align: center;
    color: green;
    }
</style>
</head>
    <body>
        <h1 class="header">Ipl Data Project - Charts</h1>  
        <div class="container">

            <div class="card">
                <h2>Number of matches played per year for all the years in IPL</h2>
                <a href="/totalNoOfMatchPlayedPerYear">View Chart</a>
            </div>

            <div class="card">
                <h2>Number of matches won per team per year in IPL</h2>
                <a href="/noOfMatchWonPerTeamPerYear">View Chart</a>
            </div>

            <div class="card">
                <h2>Extra runs conceded per team in the year 2016</h2>
                <a href="/extraRunConcededByEachTeamInYear2016">View Chart</a>
            </div>

            <div class="card">
                <h2>Top 10 economical bowlers in the year 2015</h2>
                <a href="/top10EconomicalBowlersIn2015">View Chart</a>
            </div>

            <div class="card">
                <h2>Number of times each team won the toss and also won the match</h2>
                <a href="/numberOfTimesATeamWonTossAndAlsoTheMatch">View Chart</a>
            </div>
            
            <div class="card">
                <h2>Player who has won the highest number of Player of the Match awards for each season</h2>
                <a href="/playerWhoHasWonMostPlayerOfTheMatchForEachSeason">View Chart</a>
            </div>

            <div class="card">
                <h2>Strike rate of a batsman for each season</h2>
                <a href="/strikeRateOfABatsmanForEachSeason">View Chart</a>
            </div>

            <div class="card">
                <h2>Highest number of times one player has been dismissed by another player</h2>
                <a href="/highestNumberOfTimesOnePlayerIsDismissedByOtherPlayer">View Chart</a>
            </div>

            <div class="card">
                <h2>Bowler with the best economy in super overs</h2>
                <a href="/bowlerWithBestEconomyInSuperOvers">View Chart</a>
            </div>

        </div>
    </body>
</html>
